# Program : rnx2rnx_script.sh
# 	created  by MIRALLIE  19/May/2015
# Clean empty COMMENT lines
# Convert *.*O to *.*O

# $1 RINEX file path (if parameter 2 not present) else Ack/Nack file path (if parameter 2): 
# Be careful $1 should be terminated by / character
# used when rinex file name is not indicated (WILCARD)
# $2 RINEX file name: used to convert a simple Rinex file. 

ACKFile=Rnx2rnxOk.log
NAKFile=Rnx2rnxNotOk.log
WILCARD=*.*o
WILCARDz=*.*z
EXTz=.*z

if [ $# -gt 0 ];
then
	if [ -f $1${ACKFile} ];
	then
		# Ack file is present so remove it
		rm $1${ACKFile}
	fi

	if [ -f $1${NAKFile} ];
	then
		# NAK file is present so remove it
		rm $1${NAKFile}
	fi
	
	if [ $2 ];
	then
		/mnt/config/rnx2rnx $2
		result=$?
	else
		ls $1
		
		if [ ! $? -eq 0 ];
		then
			echo "Error, Wrong Rinex path $1."
			exit 3
		fi
	
		/mnt/config/rnx2rnx $1${WILCARD}
		result=$?
	fi
	
	if [ $2 ];
	then
		if [ ${result} != 0 ];
		then
			echo "${result}" > $1${NAKFile}
			exit 2
		else
			echo "$2" > $1${ACKFile}
			NAME=$(ls -rt $2 | tail -1 | awk -F. '{print $1}')
			rm $2
			mv $(ls -rt ${NAME}${EXTz} | tail -1) $2
		fi
	else
		if [ ${result} != 0 ];
		then
			echo "${result}" > $1${NAKFile}
			exit 2
		else
			echo "$1${WILCARD}" > $1${ACKFile}
#			NAME=$(ls -rt $1${WILCARD} | tail -1 | awk -F. '{print $1}')
#			EXT=$(ls -rt $1${WILCARD} | tail -1 | awk -F. '{print $2}' | sed -e 's/o/i/g')
			NAME=$(ls -rt $1${WILCARD} | tail -1)
			rm  $1${WILCARD}
			mv $(ls -rt $1${WILCARDz} | tail -1) ${NAME}
		fi
	fi
else
	echo "Error, RINEX file path is missing."
	exit 1
fi

exit 0
